purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Docs.Convert.ReExports

Synopsis

- updateReExports :: [ExternsFile] -> (ModuleName -> InPackage ModuleName) -> Map ModuleName Module -> Map ModuleName Module

# Documentation

updateReExports :: [ExternsFile] -> (ModuleName -> InPackage ModuleName) -> Map ModuleName Module -> Map ModuleName Module #

Given:

- A list of externs files
- A function for tagging a module with the package it comes from
- A map of modules, indexed by their names, which are assumed to not have their re-exports listed yet

This function adds all the missing re-exports.